import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './user/state';
import * as umutations from './user/mutations';
// 管理员
import adminLogin from './adminLogin';
// 个人
import personal from '@common/src/store/personal';
// 机构
import organization from '@common/src/store/organization';
// 菜单
import menu from '@common/src/store/menu';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    adminLogin,
    personal,
    organization,
    menu,
  },
});
